org.keycloak.models.cache.infinispan.entities

## Class CachedClientRole

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedRole
    - - org.keycloak.models.cache.infinispan.entities.CachedClientRole

- All Implemented Interfaces:
    Serializable, CachedObject, InClient, InRealm, Revisioned

      public class CachedClientRole
      extends CachedRole
      implements InClient

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.entities.CachedRole

      `composite, composites, description, name, realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedClientRole(Long revision, String clientId, RoleModel model, RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.CachedRole

      `getAttributes, getComposites, getDescription, getName, getRealm, isComposite`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.InRealm

      `getRealm`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### CachedClientRole

          public CachedClientRole(Long revision,
                                  String clientId,
                                  RoleModel model,
                                  RealmModel realm)

  - ### Method Detail

    - #### getClientId

          public String getClientId()

      Specified by:
        `getClientId` in interface `InClient`

Copyright © 2021 JBoss by Red Hat. All rights reserved.